> ## Documentation Index
> Fetch the complete documentation index at: https://developer.tazapay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch External Account Details

> Fetch Account Details using the tax ID



## OpenAPI

````yaml get /v3/metadata/external_account_details
openapi: 3.1.0
info:
  title: sandbox
  version: '3'
servers:
  - url: https://service-sandbox.tazapay.com
security:
  - sec0: []
paths:
  /v3/metadata/external_account_details:
    get:
      summary: Fetch External Account Details
      description: Fetch Account Details using the tax ID
      operationId: fetch-external-account-details
      parameters:
        - name: country
          in: query
          description: 'ISO 3166 standard alpha-2 code. eg: SG, IN, US, etc.'
          required: true
          schema:
            type: string
        - name: tax_id
          in: query
          description: Tax ID the account is linked to
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: success
                    message: ''
                    data:
                      accounts:
                        - bank:
                            account_number: '361023'
                            account_type: checking
                            account_holder_name: muskan
                            bank_codes:
                              bank_code: '237'
                              branch_code: '345'
                            bank_name: BCO BRADESCO S.A.
                            currency: BRL
                          type: bank
                      country: BR
                      object: external_account_details
                      tax_id: '03655157363'
              schema:
                type: object
                properties:
                  status:
                    type: string
                    description: >-
                      Indicates whether the request to retrieve external account
                      details was successful.
                  message:
                    type: string
                    description: Additional message providing context about the response.
                  data:
                    type: object
                    description: >-
                      Contains details about the linked external accounts and
                      their associated information.
                    properties:
                      account_holder_name:
                        type: string
                        description: >-
                          Name of the account holder associated with the
                          external account.
                      accounts:
                        type: array
                        description: >-
                          List of external accounts linked to the user or
                          entity.
                        items:
                          type: object
                          properties:
                            bank:
                              $ref: '#/components/schemas/Bank'
                            type:
                              type: string
                              description: >-
                                Specifies the type of external account,
                                typically 'bank'.
                      country:
                        type: string
                        description: >-
                          Country code (ISO 3166-1 alpha-2) associated with the
                          external account.
                      object:
                        type: string
                        description: >-
                          Type of object returned, typically
                          'external_account_details'.
                      tax_id:
                        type: string
                        description: >-
                          Tax identification number linked to the external
                          account holder.
      deprecated: false
components:
  schemas:
    Bank:
      type: object
      description: Bank account details
      properties:
        account_number:
          type: string
          description: Bank Account Number. Either account_number or IBAN is mandatory
        iban:
          type: string
          description: IBAN. Either account_number or iban is mandatory
        bank_name:
          type: string
          description: Name of the bank
        branch_name:
          type: string
          description: Name of the branch
        country:
          type: string
          description: Two-letter country code (ISO 3166-1 alpha-2)
        currency:
          type: string
          description: Three-letter ISO currency code, in uppercase
        purpose_code:
          type: string
          description: Purpose Code for INR bank accounts
        bank_codes:
          $ref: '#/components/schemas/BankCodes'
        firc_required:
          type: boolean
          description: Pass true if you want FIRC for a payout to India
        account_type:
          type: string
          description: Type of bank account
          enum:
            - savings
            - checking
            - payment
        account_holder_name:
          type: string
          description: Name of the account holder
        transfer_type:
          type: string
          description: Type of transfer (e.g., local, SWIFT)
    BankCodes:
      type: object
      description: Bank specific identification codes
      properties:
        swift_code:
          type: string
          description: SWIFT Code
        bic_code:
          type: string
          description: Bank Identifier Code (BIC)
        ifsc_code:
          type: string
          description: IFS Code
        aba_code:
          type: string
          description: ABA / Routing Number
        sort_code:
          type: string
          description: SORT Code
        branch_code:
          type: string
          description: Branch Code
        bsb_code:
          type: string
          description: BSB Code
        bank_code:
          type: string
          description: Bank Code
        cnaps:
          type: string
          description: CNAPS
  securitySchemes:
    sec0:
      type: http
      scheme: basic

````